Subject: Consideration on current BC models

From: "Yuji KAMITE" <[email-masked]>
Date: Mon, 10 Mar 2003 14:11:06 +0900

Question and opinion about BC model consideration:

---

(1) Hybrid model ?
Isn't it allowed to take hybrid-like approach such that, resource isolation
is realized in a particular level, but on the other hand, efficient resource 
usage can be expected? (e.g., partially MAM and partially Russian Doll as
one BC model) Is it impractical now?

If we should begin DS-TE service in one network cloud today, basically,
we seem to have to continue using only one BC model for the time being,
for keeping TE information (such as IGP extension) consistent.
(Most SPs including my company wolud hate to change IGP information
drastically, but as far as BC model is concerned, SPs seem to be compelled to b
 in either-or situation... )
Once we adopt one particular model, it would be quite difficult to
switch to another model in the future, if necessary.
So BC model applicability consideration is important and sensitive theme
from SP's view too.

---

(2) Bandwidth information on control plane and data plane

Now I think MAM seems quite simple, and easy to plan resource distribution
--It would be beneficial for resource isolation, especially for high assured classes
or application. However, MAM is not efficient in terms of resource usage;
I agree that  Russian Dolls would be better in such context.
One of deficiencies of MAM would be, it possibly limits unnecessarily each
class's maximum resource capacity.

In most networks, I think at least one CT should be preserved for
Best-Effort-like service. But it is difficult for MAM to realize so.
"you can use rest resources only"--approach is not applicable to MAM easily,
because each CT has its own maximum allocation constraint.

As work-around approach in MAM, you can create one CT for Best Effort, and
signal LSPs with "required bandwidth=0" for it (this preemption level is set lowest).
Typical Diffserv implementations for data plane makes  queuing carried out
such that every class can consume output bandwidth fully
as long as there exists no packets in other class, so you can take such scheme.
Obviously, however, this makes control plane and data plane bandwidth management
information separated completely, which would not be ideal.

So I think it is desirable to make the control plane bandwidth
reservation reflect actual data plane bandwidth as much as possible,
in terms of operation easiness... In this sense, current BC model specification
document makes me confused a little because it does not fully refer to
actual (data plane) bandwidth usage...
( Most specifications discuss mainly on signalling management basis, 
but it doesn't seem to have enough consideration for the viewpoint of
actual data bandwidth and services.. this is my impression.)

---
Yuji KAMITE  (e-mail: [email-masked])
  Innovative IP Architecture Center, NTT Communications
   Tel:+81-3-6800-3261, Fax:+81-3-5365-2990